
QGIS Application - Bug report #1252

QGIS crashes when I use Identify Tool on MULTILINESTRINGS

2008-08-28 02:26 AM - Horst Düster

Status: Closed

Priority: Low

Assignee: Jürgen Fischer

Category: Vectors

Affected QGIS version: Regression?: No

Operating System: RedHat Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11312

Description

When I use the Identify Tool on MULTILINESTRINGS loaded from [[PostGIS]] QGIS, crashes with the following system message:

Fatal: ASSERT: "!isEmpty()" in file /usr/local/qt4.3.4/include/QtCore/qvector.h, line 237

Associated revisions

Revision 90d77ed5 - 2008-08-29 03:29 PM - Jürgen Fischer

buxfixes

- use useIntersects in identify (fixes #1251)

- clear node list of identify results on new identify (fixes #1252)

- use feature copies for split features and identify

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@9209 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 1e19e99c - 2008-08-29 03:29 PM - Jürgen Fischer

buxfixes

- use useIntersects in identify (fixes #1251)

- clear node list of identify results on new identify (fixes #1252)

- use feature copies for split features and identify

git-svn-id: http://svn.osgeo.org/qgis/trunk@9209 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 9a71b198 - 2008-08-29 11:00 PM - Jürgen Fischer

fix #1252

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@9211 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision dec5ffc8 - 2008-08-29 11:00 PM - Jürgen Fischer

fix #1252

git-svn-id: http://svn.osgeo.org/qgis/trunk@9211 c8812cc2-4d05-0410-92ff-de0c093fc19c
History

#1 - 2008-08-28 04:45 AM - Jürgen Fischer

Is there some more information about this?  I couldn't reproduce the problem.

#2 - 2008-08-29 12:36 AM - Horst Düster

Replying to [comment:1 jef]:

Is there some more information about this?  I couldn't reproduce the problem.

This chrash affect QGIS-1.0.0 trunk. QGIS-0.11 works fine without any problems. The crash happens with [[PostGIS]]-Layer only. When I convert the layer

to shape everything works fine.

Additional I found out that polygon geometries also shows curious behaviour. Not in all cases but sometimes when I click into a single polygon more than 1

polygon is queried or one of the neighbour polygon. There is no difference between shape or postgis. Try the attached shape.

My System:

Qt-4.3.4

QGIS 1.0.0 rev. 9205

Hedhat AS4

[[PostgreSQL]] 8.3.3

#3 - 2008-08-29 06:30 AM - Jürgen Fischer

- Status changed from Open to Closed

- Resolution set to fixed

fixed in commit:1e19e99c (SVN r9210)

#4 - 2008-08-29 08:02 AM - Horst Düster

Replying to [comment:4 jef]:

fixed in commit:1e19e99c (SVN r9210)

jef thank you very much for the fast fix!!

#5 - 2008-08-29 08:07 AM - Horst Düster

- Resolution deleted (fixed)

- Status changed from Closed to Feedback

Replying to [comment:5 hdus]:

Replying to [comment:4 jef]:
fixed in commit:1e19e99c (SVN r9210)

jef thank you very much for the fast fix!!

Ooops I was a little bit premature, but the multilinestring issue doesn't seems to be fixed, QGIS is still crashing.

#6 - 2008-08-29 08:56 AM - Jürgen Fischer

Replying to [comment:6 hdus]:

Replying to [comment:5 hdus]:

Replying to [comment:4 jef]:

fixed in commit:1e19e99c (SVN r9210)

jef thank you very much for the fast fix!!

Ooops I was a little bit premature, but the multilinestring issue doesn't seems to be fixed, QGIS is still crashing.

Ok, the fixed bug didn't seem to be related to either multilinestrings or postgis anyway.  I spit your shape into postgis and was able to reproduce crashes

when opening the identify results and clicking multiple times on different polygons.

So there must be something else, which I'm still unable to reproduce.  The only thing I noticed is that the postgis table contains POLYGONs only, while the

bug title is about MULTILINESTRINGs.

Which GEOS version are you running?

#7 - 2008-08-29 12:18 PM - Horst Düster

I checked the problem on a different box with Kubuntu 7.10. QGIS also crashes when I try to query a multilinestring with the identify tool on this box.

I use GEOS-3.0.0.

Please look at the attached postgis dump which crashes QGIS on the mentioned two boxes.

#8 - 2008-08-29 02:03 PM - Jürgen Fischer

- Status changed from Feedback to Closed

- Resolution set to fixed

Replying to [comment:8 hdus]:

Please look at the attached postgis dump which crashes QGIS on the mentioned two boxes.

ah, ok - that one contains MULTILINESTRINGs and produces a crash.  It happend when QGIS was trying to show the endpoints of the line.   It doesn't do

that for MULTILINESTRINGs anymore.
fixed in commit:dec5ffc8 (SVN r9212)

#9 - 2008-08-30 01:51 AM - Horst Düster

Replying to [comment:9 jef]:

Replying to [comment:8 hdus]:

Please look at the attached postgis dump which crashes QGIS on the mentioned two boxes.

ah, ok - that one contains MULTILINESTRINGs and produces a crash.  It happend when QGIS was trying to show the endpoints of the line.   It

doesn't do that for MULTILINESTRINGs anymore.

fixed in commit:dec5ffc8 (SVN r9212)

Jürgen nun funzt es. Many thanx!

#10 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted

Files

temp.zip 17.1 KB 2008-08-28 Horst Düster

strass.sql 81.9 KB 2008-08-29 Horst Düster
